-module(dist).
-behaviour(gen_server).

-export([init/1, handle_call/3, handle_cast/2, handle_info/2,
	 terminate/2, code_change/3]).
	 
-export([start_link/0]).
	 
start_link() ->
    gen_server:start_link({global, ?MODULE}, ?MODULE, [], []).

init([]) ->
	{ok, 0}.

handle_call(_Msg, _From, N) -> {reply, N}.

handle_cast(_Msg, N) -> {noreply, N}.

handle_info(_Info, N) -> {noreply, N}.

terminate(_Reason, _N) -> 
    ok.

code_change(_OldVsn, N, _Extra) -> {ok, N}.


