-module(dist_sup).
-behaviour(supervisor).
-export([start_link/0, init/1]).

start_link() ->
    supervisor:start_link({local,?MODULE}, ?MODULE, []).

init([]) ->
	Spec =
	  {dist,
	  {dist, start_link, []},
	   permanent, 10000, worker, [dist]},
	
	{ok, {{one_for_one, 3, 10}, [Spec]}}.

